# Models

## The PageLoadRequest object

```json
{"openapi":"3.1.0","info":{"title":"Brand API - Page Load & Deep Linking","version":"v14"},"components":{"schemas":{"PageLoadRequest":{"type":"object","required":["CampaignId","EventDate","PageUrl"],"properties":{"CampaignId":{"type":"integer","description":"Unique identifier for your program."},"PageUrl":{"type":"string","format":"uri","description":"**Required.** Destination URL that is intercepted by the app.\n\n- If the app open occurs from an impact.com tracking link, send the full tracking link (e.g., `https://mysite.pxf.io/c/1234567/12345/1234?sharedid=abcd`).\n- If the app is opened directly (e.g., not redirected from a URL), do not send any value.\n- If the app open occurs from a non-Impact URL, send the actual URL with `https:` (e.g., `https://www.example.com?name=value`).\n- If the app open occurs using a custom URI scheme, send the full URI (e.g., `app://view?sharedid=abcd`).\n\n**Tip:** When testing clicks and events, append `?impacttest=1` to your `PageUrl`."},"PropertyId":{"type":"integer","description":"**Required for mobile/app opens.** For mobile app opens, this value is the \"System App ID\" of your app in impact.com. Found in Settings → Mobile Apps."},"AppleIfa":{"type":"string","description":"**Required for iOS app opens.** Apple ID for Advertising (IDFA) associated with the mobile device the customer converted on. Used for attribution purposes. Typically only available for iOS in-app conversions."},"GoogAId":{"type":"string","description":"**Required for Android app opens.** Google Advertising ID associated with the mobile device the customer converted on. Used for attribution purposes. Typically only available for Android in-app conversions."},"EventDate":{"type":"string","format":"date-time","description":"Timestamp of the event (ISO 8601) or the string 'NOW'."},"ReferringUrl":{"type":"string","format":"uri","description":"URL of the website where the click originated."},"CustomProfileId":{"type":"string","description":"Your unique identifier for an anonymous visitor."},"CustomerId":{"type":"string","description":"Your unique, non-PII identifier for the customer."},"CustomerEmail":{"type":"string","description":"Customer's email, either plaintext or SHA1 hashed."},"TrackingConsent":{"type":"boolean","description":"Indicates if the user has consented to tracking."},"UserAgent":{"type":"string","description":"User agent of the customer's browser."},"AppleIfv":{"type":"string","description":"Apple ID for Vendors."},"IpAddress":{"type":"string","description":"Customer's IP address."},"AppName":{"type":"string","description":"Name of the mobile app. Only for mobile events."},"AppPackage":{"type":"string","description":"Package name for the mobile app the user installed. Only for mobile events."},"AppVer":{"type":"string","description":"Version of the mobile app. Only for mobile events."},"DeviceMfr":{"type":"string","description":"Mobile device's manufacturer. impact.com expects this to be passed in a specific format—refer to the code below that needs to be included in your mobile app to capture the value in the appropriate format."},"DeviceModel":{"type":"string","description":"Mobile device's model. impact.com expects this to be passed in a specific format—refer to the code below that needs to be included in your mobile app to capture the value in the appropriate format."}}}}}}
```

## The PageLoadResponse object

```json
{"openapi":"3.1.0","info":{"title":"Brand API - Page Load & Deep Linking","version":"v14"},"components":{"schemas":{"PageLoadResponse":{"type":"object","properties":{"landingPage":{"type":"string","format":"uri","description":"The destination landing page URL. Present only when PageUrl is a gateway tracking link."},"clickId":{"type":"string","description":"Unique click ID generated by impact.com."},"sessionStart":{"type":"string","format":"date-time","description":"The time when the user session started."},"warnings":{"type":"array","description":"Non-fatal warnings about the request.","items":{"$ref":"#/components/schemas/Warning"}}}},"Warning":{"type":"object","properties":{"field":{"type":"string","description":"The parameter that caused the warning."},"level":{"type":"string","description":"The severity level of the message.","enum":["WARNING","ERROR"]},"message":{"type":"string","description":"A description of the warning."}}}}}}
```

## The DeferredDeepLinkRequest object

```json
{"openapi":"3.1.0","info":{"title":"Brand API - Page Load & Deep Linking","version":"v14"},"components":{"schemas":{"DeferredDeepLinkRequest":{"type":"object","required":["CampaignId","ImpactAppId","EventDate"],"properties":{"CampaignId":{"type":"integer","description":"Unique identifier for your program (or campaign ) on impact.com. Viewable in the platform by selecting your account name from the top left corner—your campaign ID is the integer in gray type under Programs section."},"ImpactAppId":{"type":"integer","description":"System App ID of your mobile app."},"EventDate":{"type":"string","format":"date-time","description":"The date and time the app install happened (ISO 8601)."},"IpAddress":{"type":"string","description":"IP address of the customer. The IP address is used to help the system identify fraudulent activity. The IP address can be used for attribution in the case of installs."},"AppleIfa":{"type":"string","description":"Apple ID for Advertising (IDFA) associated with the mobile device the customer converted on. Used for attribution purposes. Typically only available for iOS in-app conversions."},"GoogAId":{"type":"string","description":"Google Advertising Identifier. Recommended for Android."},"AppInstallRef":{"type":"string","description":"Install Referrer from Google Play Store."},"AppPackage":{"type":"string","description":"Bundle ID or package name of the app."},"CustomProfileId":{"type":"string","description":"Unique identifier used to identify a visitor on your website (regardless of whether they're signed in). Common examples include anonymous user cookies and other anonymous user identifiers."}}}}}}
```

## The DeferredDeepLinkResponse object

```json
{"openapi":"3.1.0","info":{"title":"Brand API - Page Load & Deep Linking","version":"v14"},"components":{"schemas":{"DeferredDeepLinkResponse":{"type":"object","description":"Contains the deep link information if a match is found, along with connection details.","properties":{"landingPage":{"type":"string","format":"uri","description":"URL of the web page the user was being redirected to before the app store."},"clickId":{"type":"string","description":"The unique impact.com click identifier."},"clickIpAddress":{"type":"string","description":"IP Address captured at the time of the click."},"connectionIpAddress":{"type":"string","description":"IP Address captured when the connection to this endpoint is made."}}}}}}
```

## The ErrorResponse object

```json
{"openapi":"3.1.0","info":{"title":"Brand API - Page Load & Deep Linking","version":"v14"},"components":{"schemas":{"ErrorResponse":{"type":"object","description":"Describes errors and warnings found in the request.","properties":{"errors":{"type":"array","description":"Errors that prevented the request from succeeding.","items":{"$ref":"#/components/schemas/Error"}},"warnings":{"type":"array","description":"Non-fatal warnings about the request.","items":{"$ref":"#/components/schemas/Warning"}}}},"Error":{"type":"object","properties":{"field":{"type":"string","description":"The parameter that caused the error."},"level":{"type":"string","description":"The severity level of the message.","enum":["WARNING","ERROR"]},"message":{"type":"string","description":"A description of the error."}}},"Warning":{"type":"object","properties":{"field":{"type":"string","description":"The parameter that caused the warning."},"level":{"type":"string","description":"The severity level of the message.","enum":["WARNING","ERROR"]},"message":{"type":"string","description":"A description of the warning."}}}}}}
```

## The Warning object

```json
{"openapi":"3.1.0","info":{"title":"Brand API - Page Load & Deep Linking","version":"v14"},"components":{"schemas":{"Warning":{"type":"object","properties":{"field":{"type":"string","description":"The parameter that caused the warning."},"level":{"type":"string","description":"The severity level of the message.","enum":["WARNING","ERROR"]},"message":{"type":"string","description":"A description of the warning."}}}}}}
```

## The Error object

```json
{"openapi":"3.1.0","info":{"title":"Brand API - Page Load & Deep Linking","version":"v14"},"components":{"schemas":{"Error":{"type":"object","properties":{"field":{"type":"string","description":"The parameter that caused the error."},"level":{"type":"string","description":"The severity level of the message.","enum":["WARNING","ERROR"]},"message":{"type":"string","description":"A description of the error."}}}}}}
```


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://integrations.impact.com/brand-api-reference/reference/page-load/models.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
